View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000949aMuleExternal Connpublic2006-08-17 11:172006-08-21 13:44
Reporterpoulpe 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSMandrivaOS Versioncooker
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000949: Incorrect percentage displayed by amulecmd for files > 4Gb
DescriptionThe percentage of file completion in amulecmd is incorrect for file > 4Gb.
For example, for a file of 4.26Gb, after downloading a chunk of 9,28Mb, amulecmd will display 3.1% instead of 0.21%.
The problem is present in amulecmd only (not amuleweb, amulegui or normal amule).
I reproduced the pbm with CVS version of 08-09-2006 and 08-15-2006
Steps To Reproduce1. Add a file > 4Gb to your downloads
2. download a few chunks (the pbm appears very quickly)
3. Go into amulecmd, 'show dl' will report an erroneous percentage for that file. It will grow quickly over 100%
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0002084)
Kry (manager)
2006-08-18 09:30

I think I fixed it today. Please try tomorrow's (19/8/2006) SVN version.
(0002085)
poulpe (reporter)
2006-08-19 15:08

Yep, I just built & tested the 19/8/2006 version and the issue is gone.
Nice work!
(0002096)
Kry (manager)
2006-08-21 13:44

Closed then :)

- Issue History
Date Modified Username Field Change
2006-08-17 11:17 poulpe New Issue
2006-08-17 11:17 poulpe Operating System => Any
2006-08-18 09:16 Kry Status new => assigned
2006-08-18 09:16 Kry Assigned To => Kry
2006-08-18 09:30 Kry Note Added: 0002084
2006-08-19 15:08 poulpe Note Added: 0002085
2006-08-21 13:44 Kry Status assigned => resolved
2006-08-21 13:44 Kry Fixed in Version => SVN
2006-08-21 13:44 Kry Resolution open => fixed
2006-08-21 13:44 Kry Note Added: 0002096


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker